{ pkgs ? import <nixpkgs> {} }:

let
  default = import ./default.nix { inherit pkgs; };
in

pkgs.stdenv.mkDerivation {
  name = "env";
  buildInputs =
    [ pkgs.rustPlatform.rust.cargo ] ++
    default.ticker-update.buildInputs ++
    default.ticker-serve.buildInputs;

  shellHook = ''
    echo "Run 'cargo build --release'"
  '';
}
